Last Comment Bug 521610 - Unwanted shortcuts in Mark dropdown of Mail Toolbar
: Unwanted shortcuts in Mark dropdown of Mail Toolbar
Status: RESOLVED FIXED
: fixed-seamonkey2.0.1, polish
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: seamonkey2.1a1
Assigned To: rsx11m
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-10 15:52 PDT by :Hb
Modified: 2009-11-02 15:44 PST (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Easy fix [Checkin: Comments 5 & 6] (2.56 KB, patch)
2009-10-30 16:38 PDT, rsx11m
neil: review+
neil: superreview+
kairo: approval‑seamonkey2.0.1+
Details | Diff | Review

Description :Hb 2009-10-10 15:52:28 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.5pre) Gecko/20091009 Lightning/1.0pre SeaMonkey/2.0pre
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.5pre) Gecko/20091009 Lightning/1.0pre SeaMonkey/2.0pre (Linux is affected too)

Current user interface guidelines say that toolbar buttons should not have hints for keyboard shortcuts.

Reproducible: Always

Steps to Reproduce:
The Mark button in Mail Toolbar incorrectly shows shortcuts. All other buttons in the toolbar don't show them.
Actual Results:  
This is only a glitch in the UI. Mail display itself is not affected (Bug 521591).
Comment 1 rsx11m 2009-10-30 09:04:02 PDT
Taking, I'll have a patch later today.
Comment 2 rsx11m 2009-10-30 16:38:43 PDT
Created attachment 409446 [details] [diff] [review]
Easy fix
[Checkin: Comments 5 & 6]

Patch to remove the "key" attributes from the menu list for button-markPopup.
The keyboard shortcuts themselves remain functional, only their display in the button's context menu is omitted.

This patch should be simple enough to qualify for a combined r/sr? request.
Comment 3 rsx11m 2009-10-31 17:57:11 PDT
Comment on attachment 409446 [details] [diff] [review]
Easy fix
[Checkin: Comments 5 & 6]

Thanks Neil. Requesting approval for 2.0.1, it's a trivial change affecting appearance only, no string or feature changes. No obvious risk involved.
Comment 4 rsx11m 2009-11-01 14:20:55 PST
Push for comm-central and comm-1.9.1, please (does not affect Thunderbird);
I'm canceling the pending wanted-sm2.0? request as this got 2.0.1 approval.
Comment 5 Serge Gautherie (:sgautherie) 2009-11-02 15:07:15 PST
Comment on attachment 409446 [details] [diff] [review]
Easy fix
[Checkin: Comments 5 & 6]


http://hg.mozilla.org/comm-central/rev/791c8ec2f336
Comment 6 Ian Neal 2009-11-02 15:44:19 PST
Comment on attachment 409446 [details] [diff] [review]
Easy fix
[Checkin: Comments 5 & 6]

http://hg.mozilla.org/releases/comm-1.9.1/rev/0e1adb3b9ac8

Note You need to log in before you can comment on or make changes to this bug.